com.amazonaws.services.simpleworkflow.model

## Enum ScheduleLambdaFunctionFailedCause

- java.lang.Object
- - java.lang.Enum<ScheduleLambdaFunctionFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.ScheduleLambdaFunctionFailedCause

All Implemented Interfaces:
  Serializable, Comparable<ScheduleLambdaFunctionFailedCause>

    public enum ScheduleLambdaFunctionFailedCause
    extends Enum<ScheduleLambdaFunctionFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ID_ALREADY_IN_USE`
`LAMBDA_FUNCTION_CREATION_RATE_EXCEEDED`
`LAMBDA_SERVICE_NOT_AVAILABLE_IN_REGION`
`OPEN_LAMBDA_FUNCTIONS_LIMIT_EXCEEDED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ScheduleLambdaFunctionFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static ScheduleLambdaFunctionFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScheduleLambdaFunctionFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ID_ALREADY_IN_USE

    public static final ScheduleLambdaFunctionFailedCause ID_ALREADY_IN_USE

#### OPEN_LAMBDA_FUNCTIONS_LIMIT_EXCEEDED

    public static final ScheduleLambdaFunctionFailedCause OPEN_LAMBDA_FUNCTIONS_LIMIT_EXCEEDED

#### LAMBDA_FUNCTION_CREATION_RATE_EXCEEDED

    public static final ScheduleLambdaFunctionFailedCause LAMBDA_FUNCTION_CREATION_RATE_EXCEEDED

#### LAMBDA_SERVICE_NOT_AVAILABLE_IN_REGION

    public static final ScheduleLambdaFunctionFailedCause LAMBDA_SERVICE_NOT_AVAILABLE_IN_REGION

### Method Detail

#### values

    public static ScheduleLambdaFunctionFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScheduleLambdaFunctionFailedCause c : ScheduleLambdaFunctionFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScheduleLambdaFunctionFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ScheduleLambdaFunctionFailedCause>`

#### fromValue

    public static ScheduleLambdaFunctionFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  ScheduleLambdaFunctionFailedCause corresponding to the value